Bug 103888 - vtysh crashes ospfd when removing network statement
Summary: vtysh crashes ospfd when removing network statement
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: zebra (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-06 12:47 UTC by Ted Kaczmarek
Modified: 2014-08-31 23:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-06 14:35:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ted Kaczmarek 2003-09-06 12:47:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701
Epiphany/0.9.2

Description of problem:
Ospfd will crash if removing network statements from ospf portion of config. 

Version-Release number of selected component (if applicable):
quagga-0.96.2-1

How reproducible:
Sometimes, more often than not :-)

Steps to Reproduce:
1.Have running zebra and ospfd daemons
2.access with vtysh
3.remove network statement from ospf
    

Actual Results:  ospfd crashes, network statement not saved in ospfd.conf

Expected Results:  network statement is removed no crashes

Additional info:

This may be fixed but have no confirmation from Paul J yet.
Also bugzilla database needs to be updated to include quagga.

Comment 1 Ted Kaczmarek 2004-06-06 14:35:12 UTC
Latest Quagga does not have this problem.

Ted


Note You need to log in before you can comment on or make changes to this bug.